﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace inptp_2010_cviko_11 {
    public partial class CeleCisloDialog : Form {

        public int Cislo { get; private set; }

        public CeleCisloDialog() {
            InitializeComponent();
        }
        protected override void OnFormClosing(FormClosingEventArgs e) {
            base.OnFormClosing(e);
            if (e.Cancel || DialogResult == DialogResult.Cancel) {
                return;
            }
            int cislo;
            if (!int.TryParse(celeCisloTextBox.Text, out cislo)) {
                Hlaseni.Chyba("Nebylo zadáno celé číslo.");
                celeCisloTextBox.Focus();
                e.Cancel = true;
                return;
            }
        }
        protected override void OnFormClosed(FormClosedEventArgs e) {
            base.OnFormClosed(e);
            if (DialogResult == DialogResult.Cancel) {
                return;
            }
            Cislo = int.Parse(celeCisloTextBox.Text);
        }
        protected override void OnLoad(EventArgs e) {
            base.OnLoad(e);
            celeCisloTextBox.Clear();
        }
    }
}
