﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fei.BaseLib;

namespace inptp_2010_cviko_11 {
    class IntSeznam : Seznam {
        public override void PridejNaKonec(object prvek) {
            kontrolaParametru(prvek);
            base.PridejNaKonec(prvek);
        }

        public void PridejNaKonec(int prvek) {
            base.PridejNaKonec(prvek);
        }
        public override void PridejNaZacatek(object prvek) {
            kontrolaParametru(prvek);
            base.PridejNaZacatek(prvek);
        }        
        public void PridejNaZacatek(int prvek) {
            base.PridejNaZacatek(prvek);
        }
        private void kontrolaParametru(object prvek) {
            if (!(prvek is int)) {
                throw new ArgumentException("Parametr není typu int.", "prvek");
            }
        }
    }
}
